Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin
Interface RemoteConnectionInformation

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConnectionInformation

extends java.rmi.Remote

Interface `RemoteConnectionInformation` provides information of connections.

Method Summary
`int` | `getAttempt()` Gets the retry count of a specific connection.
`int` | `getExpire()` Gets the expired time (millisecond) of a specific connection.
`int` | `getIdleExpire()` Gets the idle expired time (millisecond) of a specific connection.
`int` | `getIdleTime()` Gets the idle time (millisecond) of a specific connection.
`int` | `getInterval()` Gets the retry interval (millisecond) of a specific connection.
`int` | `getLockNumber()` Gets the sharing count of a specific connection.
`int` | `getMaxCount()` Gets the maximal connection count of a specific connection.
`int` | `getShare()` Gets the maximal share count of a specific connection.
`int` | `getStartTime()` Gets last user connecting time (millisecond) of a specific connection..
`java.lang.String` | `getUrl()` Gets the URL of a specific connection.
`java.lang.String` | `getUser()` Gets the user name of a specific connection.

Method Detail

### getUrl

    java.lang.String getUrl()
                            throws java.rmi.RemoteException

  Gets the URL of a specific connection.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getUser

    java.lang.String getUser()
                             throws java.rmi.RemoteException

  Gets the user name of a specific connection.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getExpire

    int getExpire()
                  throws java.rmi.RemoteException

  Gets the expired time (millisecond) of a specific connection.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getIdleExpire

    int getIdleExpire()
                      throws java.rmi.RemoteException

  Gets the idle expired time (millisecond) of a specific connection.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getMaxCount

    int getMaxCount()
                    throws java.rmi.RemoteException

  Gets the maximal connection count of a specific connection.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getShare

    int getShare()
                 throws java.rmi.RemoteException

  Gets the maximal share count of a specific connection.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getAttempt

    int getAttempt()
                   throws java.rmi.RemoteException

  Gets the retry count of a specific connection.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getInterval

    int getInterval()
                    throws java.rmi.RemoteException

  Gets the retry interval (millisecond) of a specific connection.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getStartTime

    int getStartTime()
                     throws java.rmi.RemoteException

  Gets last user connecting time (millisecond) of a specific connection..

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getIdleTime

    int getIdleTime()
                    throws java.rmi.RemoteException

  Gets the idle time (millisecond) of a specific connection.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getLockNumber

    int getLockNumber()
                      throws java.rmi.RemoteException

  Gets the sharing count of a specific connection.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD